GenString.h File Reference
`#include <string>`
`#include <functional>`
Include dependency graph for GenString.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Char
| Generic character class that contains character related methods. More...
class | CharLess
| Public class that encapsulates character comparison. More...
class | CharEqualTo
| Public class that encapsulates generic character equal_to functor. More...
class | WhiteSpace
class | StringLess
| Public class that encapsulates string comparison. More...
class | StringEqualTo
| Public class that encapsulates generic string equal_to functor. More...
class | String
| Generic string class that contains string related utility methods. More...